import boto3
import dcc.config
import dcc.doom_base

class Put(dcc.doom_base.WadMap):
	# TODO: accept configuration for bucket name
	def take_action(self, parsed_args):
		s3_client = boto3.client('s3')
		demo = dcc.config.DemoInPath(parsed_args.wad, parsed_args.map)
		s3_client.upload_file(
			demo, 'yrriban', 'doom/' + dcc.config.DemoName(parsed_args.wad, parsed_args.map),
			ExtraArgs={'ContentType': 'binary/octet-stream'})
